{
  "view,text,block,t-checkbox": {
    "attributes": {
      "class": { "type": "String" },
      "style": { "type": "String" },
      "wx:if": { "type": "String" },
      "wx:elif": { "type": "String" },
      "wx:else": { "type": "String" },
      "wx:for": { "type": "String" },
      "wx:for-index": { "type": "String" },
      "wx:for-item": { "type": "String" },
      "wx:key": { "type": "String" },
      "bind:tap": { "type": "String" },
      "catch:tap": { "type": "String" },
      "slot": { "type": "String" }
    }
  },
  "popup-plugin": {
    "description": "popup-plugin 组件",
    "attributes": {
      "visible": { "type": "Boolean" },
      "placement": { "type": "String" },
      "title": { "type": "String" },
      "bind:close": { "type": "Event" }
    }
  },
  "sort-plugin": {
    "description": "列表排序 组件",
    "attributes": {
      "options": { "type": "array" },
      "value": { "type": "String" },
      "bind:ok": { "type": "Event" }
    }
  },
  "count-plugin": {
    "description": "数量 组件",
    "attributes": {
      "count": { "type": "String" },
      "customStyle": { "type": "String" }
    }
  },
  "total-bar-plugin": {
    "description": "合计栏 组件",
    "attributes": {
      "customStyle": { "type": "String" }
    }
  },
  "t-button": {
    "description": "t-button",
    "attributes": {
      "bind:tap": { "type": "Event" },
      "theme": { "values": [ "primary", "light", "danger", "default" ] },
      "variant": { "values": [ "base", "outline", "dashed", "text" ] },
      "size": { "values": [ "extra-small", "small", "medium", "large" ] }
    }
  },
  "cf-table": {
    "description": "表格组件",
    "attributes": {
      "maxHeight": { "type": "String" },
      "useTheadSlot": { "type": "String" },
      "useTbodySlot": { "type": "String" },
      "columns": { "type": "array" },
      "data": { "type": "array" }
    }
  },
  "page-plugin": {
    "description": "page-plugin 组件",
    "attributes": {
      "isLogin": { "type": "Boolean" },
      "loading": { "type": "Boolean" },
      "isAuth": { "type": "String" },
      "customStyle": { "type": "String" },
      "hasTabBar": { "type": "String", "description": "有自定义tab导航栏" },
      "bind:handleLogin": { "type": "Event" }
    }
  },
  "card-plugin": {
    "description": "卡片组件",
    "attributes": {
      "customStyle": { "type": "String" },
      "showAll": { "type": "Boolean" },
      "className": { "type": "String" },
      "headerStyle": { "type": "String" },
      "contentStyle": { "type": "String" }
    }
  },
  "card-item-plugin": {
    "description": "卡片组件Item, 快捷设置label宽度 --label-width",
    "attributes": {
      "customStyle": { "type": "String" },
      "label": { "type": "String" },
      "labelStyle": { "type": "String" },
      "valueStyle": { "type": "String" },
      "value": { "type": "String" }
    }
  },
  "tab-bar-plugin": {
    "description": "底部导航",
    "attributes": {
      "active": {
        "type": "String",
        "values": [ "index", "scan", "my" ]
      }
    }
  },

  "t-icon": {
    "description": "图标",
    "attributes": {
      "name": { "type": "String" },
      "size": { "type": "String" }
    }
  },
  "search-input": {
    "description": "搜索input",
    "attributes": {
      "label": { "type": "String" },
      "value": { "type": "String" },
      "placeholder": { "type": "String" },
      "bind:change": { "type": "Event" }
    }
  },
  "account-plugin": {
    "description": "选择账户",
    "attributes": {
      "default": { "type": "Event", "description": "获取默认" },
      "bind:ok": { "type": "Event" },
      "value": { "type": "any" }
    }
  },
  "date-picker-plugin": {
    "description": "日期插件",
    "attributes": {
      "title": { "type": "String" },
      "placeholder": { "type": "String" },
      "mode": { "type": "String", "values": [ "date", "second" ] },
      "value": { "type": "any" },
      "bind:confirm": { "type": "Event" }
    }
  },
  "pagination-plugin": {
    "description": "分页组件",
    "attributes": {
      "curr_page": { "type": "Number" },
      "total": { "type": "Number" },
      "page_count": { "type": "Number" },
      "bind:change": { "type": "Event" }
    }
  },
  "option-cell-plugin": {
    "description": "选项组件",
    "attributes": {
      "title": { "type": "String" },
      "value": { "type": "any" },
      "mode": { "type": "String", "values": [ "checkbox", "radio" ] },
      "options": { "type": "{label: any, value: any}[]" },
      "bind:change": { "type": "Event" }
    }
  },
  "select-plugin": {
    "description": "选择组件",
    "attributes": {
      "title": { "type": "String" },
      "value": { "type": "any" },
      "options": { "type": "array" },
      "bind:change": { "type": "Event" }
    }
  },
  "search-popup": {
    "description": "搜索组件",
    "attributes": {
      "customStyle": { "type": "String" },
      "useInputSlot": { "type": "String" },
      "placeholder": { "type": "String" },
      "value": { "type": "String" },
      "hideMore": { "type": "String" },
      "hideInput": { "type": "String" },
      "bind:showChange": { "type": "Event" },
      "bind:ok": { "type": "Event" },
      "bind:reset": { "type": "Event" },
      "bind:change": { "type": "Event" }
    }
  }
}
